curl --request GET \
--url https://api.eqho.ai/v1/calls/{call_id} \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/calls/{call_id}"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/calls/{call_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"_id": "<string>",
"call_type": "<string>",
"external_id": "<string>",
"from_number": "<string>",
"to_number": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"conversation_medium": "<string>",
"external_recording_url": "<string>",
"transcript": [
{
"role": "<string>",
"content": "<string>",
"timestamp": 123,
"id": "<string>"
}
],
"disposition_level_1": "<string>",
"disposition_level_2": "<string>",
"disposition_level_3": "<string>",
"disposition_conversion": true,
"disposition_contacted": true,
"call_summary": "<string>",
"twilio_status": "<string>",
"is_answer_machine": true,
"lead_id": "<string>",
"lead": {
"_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timezone": "US/Mountain",
"email": "<string>"
},
"agent_id": "<string>",
"agent_name": "<string>",
"campaign_id": "<string>",
"campaign_name": "<string>",
"account_id": "<string>",
"service_version": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"call_count": 123,
"is_dry_run": false,
"call_metrics": {
"ttfb": {
"stt": {
"values": [
123
],
"min": 123,
"max": 123,
"median": 123
},
"ai": {
"values": [
123
],
"min": 123,
"max": 123,
"median": 123
},
"tts": {
"values": [
123
],
"min": 123,
"max": 123,
"median": 123
},
"e2e": {
"values": [
123
],
"min": 123,
"max": 123,
"median": 123
}
},
"utterances": [
{}
],
"user_talk_time_in_sec": 123,
"agent_talk_time_in_sec": 123,
"user_to_agent_talk_ratio": 123,
"total_silence_in_sec": 123,
"longest_silence_in_sec": 123,
"silence_frequency": 123,
"words_per_agent_response": 123
},
"credits_used": 123,
"greeting_info": {
"greeting": "<string>",
"generation_schema_details": {
"greeting_tone": "<string>",
"greeting_length": "<string>",
"medium_type_description": "<string>",
"role_context_used": true,
"greeting_examples": "<string>"
},
"ai_greeting_used": false,
"ai_generation_timed_out": false,
"ai_generation_failed": false
},
"duration_in_seconds": 123,
"call_transferred_at": "2023-11-07T05:31:56Z",
"transfer_reason": "<string>",
"llm_judge_evaluations": [
{
"judge_name": "<string>",
"results": [
{
"criterion_name": "<string>",
"evaluation": "<unknown>",
"rationale": "<string>"
}
]
}
],
"ai_model": "<string>",
"custom_fields": {},
"extra_data": {},
"pre_call_tasks": [
"<unknown>"
],
"post_call_tasks": [
"<unknown>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Call By Id
Get information about a specific call
curl --request GET \
--url https://api.eqho.ai/v1/calls/{call_id} \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/calls/{call_id}"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/calls/{call_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"_id": "<string>",
"call_type": "<string>",
"external_id": "<string>",
"from_number": "<string>",
"to_number": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"conversation_medium": "<string>",
"external_recording_url": "<string>",
"transcript": [
{
"role": "<string>",
"content": "<string>",
"timestamp": 123,
"id": "<string>"
}
],
"disposition_level_1": "<string>",
"disposition_level_2": "<string>",
"disposition_level_3": "<string>",
"disposition_conversion": true,
"disposition_contacted": true,
"call_summary": "<string>",
"twilio_status": "<string>",
"is_answer_machine": true,
"lead_id": "<string>",
"lead": {
"_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timezone": "US/Mountain",
"email": "<string>"
},
"agent_id": "<string>",
"agent_name": "<string>",
"campaign_id": "<string>",
"campaign_name": "<string>",
"account_id": "<string>",
"service_version": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"call_count": 123,
"is_dry_run": false,
"call_metrics": {
"ttfb": {
"stt": {
"values": [
123
],
"min": 123,
"max": 123,
"median": 123
},
"ai": {
"values": [
123
],
"min": 123,
"max": 123,
"median": 123
},
"tts": {
"values": [
123
],
"min": 123,
"max": 123,
"median": 123
},
"e2e": {
"values": [
123
],
"min": 123,
"max": 123,
"median": 123
}
},
"utterances": [
{}
],
"user_talk_time_in_sec": 123,
"agent_talk_time_in_sec": 123,
"user_to_agent_talk_ratio": 123,
"total_silence_in_sec": 123,
"longest_silence_in_sec": 123,
"silence_frequency": 123,
"words_per_agent_response": 123
},
"credits_used": 123,
"greeting_info": {
"greeting": "<string>",
"generation_schema_details": {
"greeting_tone": "<string>",
"greeting_length": "<string>",
"medium_type_description": "<string>",
"role_context_used": true,
"greeting_examples": "<string>"
},
"ai_greeting_used": false,
"ai_generation_timed_out": false,
"ai_generation_failed": false
},
"duration_in_seconds": 123,
"call_transferred_at": "2023-11-07T05:31:56Z",
"transfer_reason": "<string>",
"llm_judge_evaluations": [
{
"judge_name": "<string>",
"results": [
{
"criterion_name": "<string>",
"evaluation": "<unknown>",
"rationale": "<string>"
}
]
}
],
"ai_model": "<string>",
"custom_fields": {},
"extra_data": {},
"pre_call_tasks": [
"<unknown>"
],
"post_call_tasks": [
"<unknown>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
Response
Successful Response
Unique conversation ID assigned by an external provider when the conversation is linked to a third-party service like Twilio
Show child attributes
Show child attributes
Whether the disposition is marked as a conversion in the campaign
Whether the disposition is marked as contacted in the campaign
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Call duration in seconds. For now, only for telephony. Provided by the external provider.
Reason the AI chose when transferring the call, for actions with transfer reasons configured
Results from the LLM Judge evaluations, grouped by configuration
Show child attributes
Show child attributes
The LLM the agent ran on for this call.
Was this page helpful?